# Intel® Enhanced Privacy ID SDK: epid/common/math/printutils.c File Reference

printutils.c File Reference

Print helper implementation. More...

`#include "epid/common/math/printutils.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include "ext/ipp/include/ippcp.h"`
`#include "epid/common/math/bignum-internal.h"`
`#include "epid/common/math/ecgroup-internal.h"`
`#include "epid/common/math/finitefield-internal.h"`
`#include "epid/common/memory.h"`

## Macros

#define | WIDTH 49
| Allowed number of characters printed in one line.
#define | INDENT 2
| Amount of identation added in the beginning of each line.
#define | BYTE_LENGTH 2
| Number of charaters used to represent one byte. For example, "ab" or "05".
#define | SEPARATOR (" ")
| Separator.
#define | MAKE_INDENT()
| Make configured number of identation. More...
#define | PRINT(...) fprintf(stdout, __VA_ARGS__)
| Print to specified stream.

## Functions

void | PrintBigNum (BigNum const *big_num, char const *var_name)
| Prints BigNum. More...
void | PrintFfElement (FiniteField const *ff, FfElement const *ff_element, char const *var_name, PrintUtilFormat format)
| Prints finite field element. More...
void | PrintEcPoint (EcGroup const *g, EcPoint const *ec_point, char const *var_name, PrintUtilFormat format)
| Prints elliptic curve group element. More...
void | PrintBigNumStr (BigNumStr const *big_num_str, char const *var_name)
| Prints serialized BigNum. More...
void | PrintFpElemStr (FpElemStr const *fp_elem_str, char const *var_name)
| Prints serialized Fp element. More...
void | PrintFqElemStr (FqElemStr const *fq_elem_str, char const *var_name)
| Prints serialized Fq element. More...
void | PrintFq2ElemStr (Fq2ElemStr const *fq2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq2 element. More...
void | PrintFq6ElemStr (Fq6ElemStr const *fq6_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq6 element. More...
void | PrintFq12ElemStr (Fq12ElemStr const *fq12_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq12 element. More...
void | PrintG1ElemStr (G1ElemStr const *g1_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G1 element. More...
void | PrintG2ElemStr (G2ElemStr const *g2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G2 element. More...
void | PrintGtElemStr (GtElemStr const *gt_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Gt element. More...

## Detailed Description

Print helper implementation.

## Macro Definition Documentation

#define MAKE_INDENT | ( |  | ) |

Value:
{ \
uint8_t ind = 0; \
for (ind = 0; ind < INDENT; ind++) { \
PRINT(" "); \
} \
}
INDENT
#define INDENT
Amount of identation added in the beginning of each line.
Definition: printutils.c:40

Make configured number of identation.